import { __awaiter } from "tslib";
import axios from 'axios';
export class HubtypeBabelApiService {
    constructor(projectId) {
        this.projectId = projectId;
        this.host = process.env.HUBTYPE_API_URL || 'https://api.hubtype.com';
    }
    inference(text, accessToken, includeHasSense) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield axios({
                method: 'POST',
                url: `${this.host}/v1/babel/projects/${this.projectId}/inference/`,
                headers: {
                    Authorization: `Bearer ${accessToken}`,
                    'Content-Type': 'application/json',
                },
                data: { text, include_has_sense: includeHasSense },
            });
        });
    }
}
//# sourceMappingURL=hubtype-babel-api-service.js.map